%define ver_e2fsprogs 1.42
%define ver_progsreiserfs 0.3.1-rc8

Summary:	Tool to check and undelete partition
Name:		testdisk
Version:	7.0
Release:	2
License:	GPLv2+
Group:		System/Kernel and hardware
Url:		http://www.cgsecurity.org/wiki/TestDisk
Source0:	http://www.cgsecurity.org/%{name}-%{version}.tar.bz2
Source1:	progsreiserfs-%{ver_progsreiserfs}.tar.bz2
# Upstream patch
Patch0:		progsreiserfs-journal.patch
# Another upstream patch
Patch1:		progsreiserfs-file-read.patch
# Upstream patch
Patch2:		testdisk-7.00-qphotorec-show-partitions-at-start.patch
BuildRequires:	jpeg-devel
BuildRequires:	pkgconfig(ncurses) >= 5.2
BuildRequires:	pkgconfig(ext2fs) >= %{ver_e2fsprogs}
BuildRequires:	pkgconfig(libntfs-3g)
BuildRequires:	pkgconfig(QtGui)
BuildRequires:	pkgconfig(uuid)

%description
Tool to check and undelete partition. Works with the following
filesystems:
    * BeFS ( BeOS )
    * BSD disklabel ( FreeBSD/OpenBSD/NetBSD )
    * CramFS, Compressed File System
    * DOS/Windows FAT12, FAT16 and FAT32
    * HFS and HFS+, Hierarchical File System
    * JFS, IBM's Journaled File System
    * Linux Ext2 and Ext3
    * Linux Raid
          o RAID 1: mirroring
          o RAID 4: striped array with parity device
          o RAID 5: striped array with distributed parity information
          o RAID 6: striped array with distributed dual redundancy information 
    * Linux Swap (versions 1 and 2)
    * LVM and LVM2, Linux Logical Volume Manager
    * Mac partition map
    * Novell Storage Services NSS
    * NTFS ( Windows NT/2K/XP/2003/Vista )
    * ReiserFS 3.5, 3.6 and 4
    * Sun Solaris i386 disklabel
    * Unix File System UFS and UFS2 (Sun/BSD/...)
    * XFS, SGI's Journaled File System

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog INFO INSTALL NEWS README THANKS
# doc/*.html
%attr(755,root,root) %{_bindir}/testdisk
%{_mandir}/man8/testdisk*

#----------------------------------------------------------------------------

%package -n photorec
Summary:	Data recovery software
Group:		System/Kernel and hardware
Requires:	%{name} = %{EVRD}

%description -n photorec
PhotoRec is file data recovery software designed to recover lost files
including video, documents and archives from Hard Disks and CDRom and lost
pictures (thus, its 'Photo Recovery' name) from digital camera memory.

PhotoRec ignores the filesystem and goes after the underlying data, so it
will still work even if your media's filesystem has been severely damaged
or re-formatted.

%files -n photorec -f photorec.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog INFO INSTALL NEWS README THANKS
%attr(755,root,root) %{_bindir}/photorec
%{_mandir}/man8/photorec*

#----------------------------------------------------------------------------

%package -n qphotorec
Summary:	GUI for photorec
Group:		System/Kernel and hardware
Requires:	photorec = %{EVRD}

%description -n qphotorec
Experimental GUI for PhotoRec.

%files -n qphotorec -f qphotorec.lang
%{_bindir}/qphotorec
%{_datadir}/applications/qphotorec.desktop
%{_iconsdir}/hicolor/*/apps/*
%{_mandir}/man8/qphotorec*
%{_sbindir}/qphotorec
%{_sysconfdir}/pam.d/qphotorec
%{_sysconfdir}/security/console.apps

#----------------------------------------------------------------------------

%package -n fidentify
Summary:	Data recovery software
Group:		System/Kernel and hardware
Requires:	%{name} = %{EVRD}

%description -n fidentify
Recover lost files from harddisk, digital camera and cdrom fidentify the file
type, the "extension", by using thr same database than PhotoRec.

%files -n fidentify -f fidentify.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog INFO INSTALL NEWS README THANKS
%attr(755,root,root) %{_bindir}/fidentify
%{_mandir}/man8/fidentify*

#----------------------------------------------------------------------------

%prep
%setup -q -a 1 -D
%patch0 -p0
%patch1 -p0
%patch2 -p1

%build
(
cd progsreiserfs-%{ver_progsreiserfs}
%configure2_5x --disable-Werror
%make
)

%configure2_5x \
	--with-reiserfs-lib=`pwd`/progsreiserfs-%{ver_progsreiserfs}/libreiserfs/.libs/ \
	--with-reiserfs-includes=`pwd`/progsreiserfs-%{ver_progsreiserfs}/include/ \
	--enable-qt
%make

%install
%makeinstall_std

rm -rf %{buildroot}%{_docdir}

mkdir %{buildroot}%{_sbindir}
mv %{buildroot}%{_bindir}/qphotorec %{buildroot}%{_sbindir}

ln -sf %{_bindir}/consolehelper %{buildroot}%{_bindir}/qphotorec

mkdir -p %{buildroot}%{_sysconfdir}/pam.d/
mkdir -p %{buildroot}%{_sysconfdir}/security/console.apps

cat > %{buildroot}%{_sysconfdir}/security/console.apps/qphotorec <<EOF
USER=root
PROGRAM=%{_sbindir}/qphotorec
FALLBACK=false
SESSION=true
EOF

cat > %{buildroot}%{_sysconfdir}/pam.d/qphotorec  <<EOF
#%PAM-1.0
auth            include         config-util
account         include         config-util
session         include         config-util
EOF

%find_lang qphotorec --with-man
%find_lang photorec --with-man
%find_lang testdisk --with-man
%find_lang fidentify --with-man


%changelog

* Wed Mar 23 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 7.0-2
- (3e52fac) Minor cleanups


